Sets the holiday leave settings for the business

Request

PUT http:///api/v2/business/{businessId}/holidayleavesettings

Path parameters

Parameter name Value Description Additional
businessId string Required

Request body

The request body takes a complete NzBusinessHolidayLeaveSettingsApiModel resource, containing the following writable properties:

{
    "alternativeHolidayLeaveCategoryId": "int32",
    "annualHolidayLeaveCategoryId": "int32",
    "defaultIrregularWorkPatternPeriod": "int32",
    "leaveWithoutPayLeaveCategoryId": "int32",
    "use12MonthsForMonthlyEmployeesDailyRateCalc": "boolean",
    "useHigherOfRdpOrAdpForAdpMethod": "boolean"
}

Properties

Name Type Description
alternativeHolidayLeaveCategoryId int32 Nullable
annualHolidayLeaveCategoryId int32 Nullable
defaultIrregularWorkPatternPeriod int32 Nullable
leaveWithoutPayLeaveCategoryId int32 Nullable
use12MonthsForMonthlyEmployeesDailyRateCalc boolean Boolean
useHigherOfRdpOrAdpForAdpMethod boolean Boolean

Response

The following HTTP status codes may be returned, optionally with a response resource.

Status code Description Resource
200 OK

OK

NzBusinessHolidayLeaveSettingsApiDetailModel
400 Bad Request

Bad Request

ProblemDetails